Description

Rails 5 uses Puma as the default web server.

https://weblog.rubyonrails.org/2015/12/18/Rails-5-0-beta1/:

we’ve switched the default development server from Webrick to Puma.

 We have to update the INSTALL document.

Index: doc/INSTALL

===================================================================

--- doc/INSTALL    (revision 17596)

+++ doc/INSTALL    (working copy)

@@ -74,12 +74,12 @@

      sudo chown -R redmine:redmine files log tmp public/plugin_assets

      sudo chmod -R 755 files log tmp public/plugin_assets

-8. Test the installation by running the WEBrick web server

+8. Test the installation by running the Puma web server

    Under the main application directory run:

      ruby bin/rails server -e production

-   Once WEBrick has started, point your browser to http://localhost:3000/

+   Once Puma has started, point your browser to http://localhost:3000/

    You should now see the application welcome page.

 9. Use the default administrator account to log in:

Related issues:

Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

Associated revisions

Revision 17597 - 2018-10-16 07:51 - Go MAEDA

Rails 5: Update INSTALL doc: s/WEBrick/Puma/ (#29772).

History

#1 - 2018-10-16 04:41 - Go MAEDA

- Category set to Documentation

#2 - 2018-10-16 04:41 - Go MAEDA

- Related to Feature #23630: Migrate to Rails 5.2 added

#3 - 2018-10-16 07:51 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.
